summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKristian Fiskerstrand <k_f@gentoo.org>2016-11-19 17:03:02 +0100
committerKristian Fiskerstrand <k_f@gentoo.org>2016-11-19 17:03:14 +0100
commit5df1b83896bc3231c4fd933fada4cf186193a7c1 (patch)
treea07c4b6b9efbab3347c0da3e8ae6fbc47944302b /net-wireless
parentnet-firewall/ipsec-tools: fix bug #550118, CVE-2015-4047 (diff)
downloadgentoo-5df1b83896bc3231c4fd933fada4cf186193a7c1.tar.gz
gentoo-5df1b83896bc3231c4fd933fada4cf186193a7c1.tar.bz2
gentoo-5df1b83896bc3231c4fd933fada4cf186193a7c1.zip
net-wireless/blueberry: New package
Proxied maintained c.f Gentoo-Bug: 600236 Gentoo-Bug: 599690 Package-Manager: portage-2.3.2
Diffstat (limited to 'net-wireless')
-rw-r--r--net-wireless/blueberry/Manifest1
-rw-r--r--net-wireless/blueberry/blueberry-1.1.8.ebuild54
-rw-r--r--net-wireless/blueberry/metadata.xml15
3 files changed, 70 insertions, 0 deletions
diff --git a/net-wireless/blueberry/Manifest b/net-wireless/blueberry/Manifest
new file mode 100644
index 00000000000..10a2f4f1871
--- /dev/null
+++ b/net-wireless/blueberry/Manifest
@@ -0,0 +1 @@
+DIST blueberry-1.1.8.tar.gz 1342620 SHA256 f794a278d1c58e7b1717da1b89bff0939c4ae47206b6917f335d1b19f7569f55 SHA512 e516294ad9a4c40dee3c1acad2a30d8110631fff9627b2212f0f3168e13e615ca0b44b93ee1da0adf99b0b858effdd61db2a4898000c5cf040d638746a45b1bc WHIRLPOOL ed527e7cfbd41ab8e128c072da251825d2db27347ec452b158efe0e9e766e866cd8a8c131849ef2d29872fac09d97644fcf18b9f7336a3e0e57ad09f90e92dad
diff --git a/net-wireless/blueberry/blueberry-1.1.8.ebuild b/net-wireless/blueberry/blueberry-1.1.8.ebuild
new file mode 100644
index 00000000000..31214c6db1c
--- /dev/null
+++ b/net-wireless/blueberry/blueberry-1.1.8.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils gnome2-utils python-single-r1
+
+DESCRIPTION="A Bluetooth configuration tool"
+HOMEPAGE="https://github.com/linuxmint/blueberry"
+SRC_URI="https://github.com/linuxmint/blueberry/archive/${PV}.tar.gz -> ${PN}-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ >=net-wireless/gnome-bluetooth-3.14[introspection]
+ net-wireless/rfkill
+ x11-misc/wmctrl"
+DEPEND="${RDEPEND}"
+
+src_prepare () {
+ sed -i 's@^#!.*python$@#!/usr/bin/python2@' usr/bin/blueberry{,-tray} || die
+ epatch_user
+}
+
+src_install() {
+ doins -r etc
+ exeinto /usr/bin
+ doexe usr/bin/*
+ exeinto /usr/lib/blueberry
+ doexe usr/lib/blueberry/*
+ insinto /usr
+ doins -r usr/share
+}
+
+pkg_preinst() {
+ gnome2_schemas_savelist
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+ gnome2_icon_cache_update
+}
diff --git a/net-wireless/blueberry/metadata.xml b/net-wireless/blueberry/metadata.xml
new file mode 100644
index 00000000000..421cd2f23d4
--- /dev/null
+++ b/net-wireless/blueberry/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>olivier.laurantin@laposte.net</email>
+ <name>Olivier Laurantin</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">linuxmint/blueberry</remote-id>
+ </upstream>
+</pkgmetadata>